Ticket #40804

X11のロケールを内部でja_JP.EUC-JPに固定する

Open Date: 2020-09-26 07:12 Last Update: 2021-08-17 21:47

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

X11の実行にはロケールをソースの文字コードと合わせる必要がありますが、現状文字コードはEUC-JP固定なので、プログラム側でロケールをja_JP.EUC-JPに固定するべきです。

Ticket History (3/5 Histories)

2020-09-26 07:12 Updated by: argrath
  • New Ticket "X11のロケールを内部でja_JP.EUC-JPに固定する" created
2021-05-21 04:31 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Fixed
  • Milestone Update from (None) to 3.6.6-0.3 (closed)
Comment

b76c0a8 で変更しました。

メモ: X11のフォントの基準となるロケールを変更する方法が不明だったのでputenv()で環境変数LANGを固定値に設定することで対応する。

2021-06-08 15:36 Updated by: rec68k
Comment

argrath への返信

b76c0a8 で変更しました。 メモ: X11のフォントの基準となるロケールを変更する方法が不明だったのでputenv()で環境変数LANGを固定値に設定することで対応する。

LANGだとLC_CTYPEやLC_ALLが既に設定されていると負けるので、ロケールを強制するならLC_ALLに設定したほうがよいように思われます。

2021-06-11 02:56 Updated by: argrath
Comment

ありがとうございます。ebfeccdで修正しました。

2021-08-17 21:47 Updated by: argrath
  • Ticket Close date is changed to 2021-08-17 21:47
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login